! Program Example from "Essential Fortran 90 & 95" by Loren P. Meissner
! Copyright 1996. Copying for sale requires permission from the author.
! Otherwise, distribution is permitted if these three lines are included.

  module I02M
    implicit none
    public :: Frobenius_Norm
  contains
    function Frobenius_Norm( A ) result( Total )
      real, intent (in), dimension(:, :) :: A
      real :: Total
  ! start function Frobenius_Norm
      Total = sum( A ** 2 )
      return
    end function Frobenius_Norm
  end module I02M
